Subject: Re: Bug? diff.submodule=log adds text to commit -v message

From: Ari Pollak <[email-masked]>
Date: Mon, 11 Nov 2013 20:48:18 +0000 (UTC)

Jens Lehmann writes:
> And after adding a modified file the log message also shows the diff of
> that file (and without leading "# "s too), so I doubt that diffs aren't
> normally included in the commit message with -v. What am I missing?

Ah, it is true that -v normally does not prefix the diffs with #, but there 
must be some filter in place after I save & quit my editor when a normal file 
diff is present, since that does not get included in the final commit 
message. But the submodule log does get included, which does not seem 
intentional.

Cheers,
Ari